Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001024Anope Development (1.9.x series)Chanservpublic2009-03-06 15:062010-09-12 09:56
Reporternamegduf@fudgeman.org 
Assigned Todev@anope.org 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOtherOSLinuxOS Version
Product Version1.9.x-GIT 
Target VersionFixed in Version 
Summary0001024: ACCESS/XOP renumbering bugs
DescriptionEntries in a channel's access list are not renumbered if a nickname is dropped.

To reproduce:

1) Register two accounts (I'll call their nicks X and Y here...)
2) Register a channel with X (switch to access lists now, if not default)
3) Add Y to the access list, at, say, level 5.
4) Add X to the access list, at the same level.
5) Drop Y.
6) View the access list as X. X is number two in the list, with no number 1.

Clearing a VOP/HOP/AOP/SOP list does not appear to renumber the access list. (This does not happen with the access list).

To reproduce:

1) Register two accounts (I'll call their nicks X and Y here...)
2) Register a channel with X (switch to XOP now, if not default)
3) Add Y to the SOP list.
4) Add X to the AOP list.
5) Clear the SOP list.
6) View the AOP list. X is number two in the list. (Without a number 1 in any list)

It appears that where the list is not renumbered, the total is also not dropped; the following also works to reproduce this bug (and can be repeated to increase the number ad infinitum, or at least ad 1024):

1) Register a channel with your nick (switch to XOP now, if not default)
3) Add your nick to the SOP list.
5) Clear the SOP list.
3) Add your nick to the SOP list.
6) View the SOP list. Your nick is number two in the list. (Without a number 1 in any list)


These allow Anope to be crashed by an arbitrary user, as attempting to delete one of the 'holes' in the access list (such as 1 when the only existing entry is 2), via either ACCESS DEL or VOP/HOP/AOP/SOP DEL, causes Anope to segfault.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005592)
chaz (administrator)
2010-09-12 09:56

Issues marked as resolved for a period of time without argument will be closed.

- Issue History
Date Modified Username Field Change
2009-03-06 15:11 namegduf@fudgeman.org Severity enhancement => major
2009-03-07 13:53 adam@anope.org Status UNCONFIRMED => RESOLVED
2009-03-07 13:53 adam@anope.org CC => adam@anope.org
2009-03-07 13:53 adam@anope.org Resolution => FIXED
2009-03-07 13:58 rob@anope.org Status RESOLVED => UNCONFIRMED
2009-03-07 13:58 rob@anope.org Version 1.9.0 => 1.9.x-SVN
2009-03-07 13:58 rob@anope.org Resolution FIXED =>
2009-03-12 19:56 chaz Status UNCONFIRMED => NEW
2009-03-12 19:56 chaz CC => chaz
2009-03-12 19:56 chaz AssignedTo anope-quality@lists.sourceforge.net => anope-devel@lists.sourceforge.net
2009-03-12 19:56 chaz Ever Confirmed 0 => 1
2009-03-22 21:06 CyberBotX Status NEW => RESOLVED
2009-03-22 21:06 CyberBotX CC => CyberBotX
2009-03-22 21:06 CyberBotX Resolution => FIXED
2010-01-10 21:22 CyberBotX Source_changeset_attached trunk r2184 =>
2010-01-13 20:45 CyberBotX Source_changeset_attached trunk r2184 =>
2010-09-12 09:56 chaz Note Added: 0005592
2010-09-12 09:56 chaz Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker